nRF51 SDK: ble_gap_evt_auth_status_t Struct Reference

| nRF51 SDK

- Home
- Related Pages
- API Reference
- Data Structures

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Structures | Data Fields
ble_gap_evt_auth_status_t Struct Reference
Generic Access Profile (GAP) | Structures | Generic Access Profile (GAP)

Event data for authentication status event. More...

`#include <ble_gap.h>`

## Data Structures

struct | central_keys_t
struct | periph_keys_t

## Data Fields

uint8_t | auth_status
uint8_t | error_src
ble_gap_sec_levels_t | sm1_levels
ble_gap_sec_levels_t | sm2_levels
ble_gap_sec_keys_t | periph_kex
ble_gap_sec_keys_t | central_kex
struct ble_gap_evt_auth_status_t::periph_keys_t | periph_keys
struct ble_gap_evt_auth_status_t::central_keys_t | central_keys
uint8_t | bonded: 1
ble_gap_sec_kdist_t | kdist_periph
ble_gap_sec_kdist_t | kdist_central

## Detailed Description

Event data for authentication status event.

## Field Documentation

uint8_t ble_gap_evt_auth_status_t::auth_status

Authentication status, see BLE_GAP_SEC_STATUS.

uint8_t ble_gap_evt_auth_status_t::bonded

Procedure resulted in a bond.

ble_gap_sec_keys_t ble_gap_evt_auth_status_t::central_kex

Bitmap stating which keys were exchanged (distributed) by the central.

struct ble_gap_evt_auth_status_t::central_keys_t ble_gap_evt_auth_status_t::central_keys

Actual keys distributed from the Central to the Peripheral.

uint8_t ble_gap_evt_auth_status_t::error_src

On error, source that caused the failure, see BLE_GAP_SEC_STATUS_SOURCES.

ble_gap_sec_kdist_t ble_gap_evt_auth_status_t::kdist_central

Bitmap stating which keys were exchanged (distributed) by the central.

ble_gap_sec_kdist_t ble_gap_evt_auth_status_t::kdist_periph

Bitmap stating which keys were exchanged (distributed) by the peripheral.

ble_gap_sec_keys_t ble_gap_evt_auth_status_t::periph_kex

Bitmap stating which keys were exchanged (distributed) by the peripheral.

struct ble_gap_evt_auth_status_t::periph_keys_t ble_gap_evt_auth_status_t::periph_keys

Actual keys distributed from the Peripheral to the Central.

ble_gap_sec_levels_t ble_gap_evt_auth_status_t::sm1_levels

Levels supported in Security Mode 1.

ble_gap_sec_levels_t ble_gap_evt_auth_status_t::sm2_levels

Levels supported in Security Mode 2.